Bug 3365 - Push VNC keyboard hacks upstream
Summary: Push VNC keyboard hacks upstream
Status: CLOSED FIXED
Alias: None
Product: ThinLinc
Classification: Unclassified
Component: VNC (show other bugs)
Version: pre-1.0
Hardware: PC Unknown
: P2 Normal
Target Milestone: 4.1.0
Assignee: Pierre Ossman
URL:
Keywords: astrand_tester
Depends on:
Blocks: 3523
  Show dependency treegraph
 
Reported: 2009-12-21 09:31 CET by Pierre Ossman
Modified: 2013-05-20 13:16 CEST (History)
0 users

See Also:
Acceptance Criteria:


Attachments

Description Pierre Ossman cendio 2009-12-21 09:31:23 CET
We have a number of changes in the Xvnc keyboard code that we should get into TigerVNC:

 - Default keycode mapping. Upstream uses a us keyboard whilst we have a configurable Swedish or Brazilian mapping.

 - Workaround for the bug where the we loose modifier mappings (we activate the VNC keyboard early). This might be only for Xorg 1.5. See the thread "lack of GetModifierMapping/SetModifierMapping symmetry" on xorg-devel. Also see bug 3101.

 - Handling of dead keys (see bug 1983).

 - Numlock hack (bug 400).
Comment 1 Pierre Ossman cendio 2010-05-07 17:21:58 CEST
Note that the handling of dead keys might no longer be relevant as wine is no longer looking as strictly at keycodes.

One also wonders why the Windows client isn't sending dead keys if that is how Windows sees the key (since wine expects to be able to serve a dead version).
Comment 2 Pierre Ossman cendio 2013-04-15 16:25:37 CEST
As part of bug 3074, we are now in sync with upstream.
Comment 3 Peter Åstrand cendio 2013-05-20 13:16:09 CEST
Verified that we have no special server side stuff wrt keyboard.

Note You need to log in before you can comment on or make changes to this bug.